#ifndef HistorieSender_H
#define HistorieSender_H

#ifdef WIN32
#include "../../Datenbank/Datenbank.h"
#else
#include "Datenbank.h"
#endif
#include <Thread.h>

using namespace Framework;

class SpielServer;

class HistorieSender : public Thread
{
private:
	SpielServer *zSS;
	bool beenden;
	int ref;

public:
	// Konstruktor
	HistorieSender( SpielServer *zSS );
	// Destruktor
	virtual ~HistorieSender();
	// nicht constant
	void setEnde();
	virtual void thread();
	// Reference Counting
	HistorieSender *getThis();
	HistorieSender *release();
};

#endif